//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Thu Nov  2 13:11:13 2006 by ROOT version 5.09/01
// from TTree CollectionTree/user.akirashibata.TopView1111_SingleTop.005501.AcerMC_schan.001.AANT0._00001.root
// found on file: user.akirashibata.TopView1111_SingleTop.005501.AcerMC_schan.001.AANT0._00001.root
//////////////////////////////////////////////////////////

#ifndef CollectionTree_h
#define CollectionTree_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>

#include <iostream>


class CollectionTree {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leave types
   Int_t           RunNumber;
   Int_t           EventNumber;
   Char_t          StreamESD_ref[153];
   Char_t          StreamRDO_ref;
   Char_t          Token[153];
   Int_t           EVInstance;
   Int_t           EVCounter;
   Int_t           EVEventAndInstance;
   Int_t           EVRunNumber;
   Int_t           EVNInstance;
   Int_t           TruthInstance;
   Int_t           TruthCounter;
   Int_t           TruthEventAndInstance;
   Int_t           TruthRunNumber;
   Int_t           TruthNInstance;

   // List of branches
   TBranch        *b_RunNumber;   //!
   TBranch        *b_EventNumber;   //!
   TBranch        *b_StreamESD_ref;   //!
   TBranch        *b_StreamRDO_ref;   //!
   TBranch        *b_Token;   //!
   TBranch        *b_EVInstance;   //!
   TBranch        *b_EVCounter;   //!
   TBranch        *b_EVEventAndInstance;   //!
   TBranch        *b_EVRunNumber;   //!
   TBranch        *b_EVNInstance;   //!
   TBranch        *b_TruthInstance;   //!
   TBranch        *b_TruthCounter;   //!
   TBranch        *b_TruthEventAndInstance;   //!
   TBranch        *b_TruthRunNumber;   //!
   TBranch        *b_TruthNInstance;   //!

   CollectionTree(TTree *tree=0);
   virtual ~CollectionTree();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef CollectionTree_cxx
CollectionTree::CollectionTree(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
     std::cout<<"Error in CollectionTree constructor: no valid input tree!"<<std::endl;
     return;
   }
   Init(tree);
}

CollectionTree::~CollectionTree()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t CollectionTree::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t CollectionTree::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void CollectionTree::Init(TTree *tree)
{
  //std::cout<<"in CollectionTree::Init"<<std::endl;
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses of the tree
   // will be set. It is normaly not necessary to make changes to the
   // generated code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running with PROOF.

   // Set branch addresses
   if (tree == 0) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("RunNumber",&RunNumber);
   fChain->SetBranchAddress("EventNumber",&EventNumber);
   fChain->SetBranchAddress("StreamESD_ref",StreamESD_ref);
   fChain->SetBranchAddress("StreamRDO_ref",&StreamRDO_ref);
   fChain->SetBranchAddress("Token",Token);
   fChain->SetBranchAddress("EVInstance",&EVInstance);
   fChain->SetBranchAddress("EVCounter",&EVCounter);
   fChain->SetBranchAddress("EVEventAndInstance",&EVEventAndInstance);
   fChain->SetBranchAddress("EVRunNumber",&EVRunNumber);
   fChain->SetBranchAddress("EVNInstance",&EVNInstance);
   fChain->SetBranchAddress("TruthInstance",&TruthInstance);
   fChain->SetBranchAddress("TruthCounter",&TruthCounter);
   fChain->SetBranchAddress("TruthEventAndInstance",&TruthEventAndInstance);
   fChain->SetBranchAddress("TruthRunNumber",&TruthRunNumber);
   fChain->SetBranchAddress("TruthNInstance",&TruthNInstance);
   Notify();
}

Bool_t CollectionTree::Notify()
{
  //std::cout<<"in CollectionTree::Notify"<<std::endl;
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. Typically here the branch pointers
   // will be retrieved. It is normaly not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed.

   // Get branch pointers
  //std::cout<<"getting runnumber"<<std::endl;
   b_RunNumber = fChain->GetBranch("RunNumber");
   b_EventNumber = fChain->GetBranch("EventNumber");
   //std::cout<<"getting streamesd_ref"<<std::endl;
   b_StreamESD_ref = fChain->GetBranch("StreamESD_ref");
   b_StreamRDO_ref = fChain->GetBranch("StreamRDO_ref");
   //std::cout<<"getting token"<<std::endl;
   b_Token = fChain->GetBranch("Token");
   //std::cout<<"getting evinstance"<<std::endl;
   b_EVInstance = fChain->GetBranch("EVInstance");
   b_EVCounter = fChain->GetBranch("EVCounter");
   b_EVEventAndInstance = fChain->GetBranch("EVEventAndInstance");
   b_EVRunNumber = fChain->GetBranch("EVRunNumber");
   b_EVNInstance = fChain->GetBranch("EVNInstance");
   b_TruthInstance = fChain->GetBranch("TruthInstance");
   b_TruthCounter = fChain->GetBranch("TruthCounter");
   b_TruthEventAndInstance = fChain->GetBranch("TruthEventAndInstance");
   b_TruthRunNumber = fChain->GetBranch("TruthRunNumber");
   b_TruthNInstance = fChain->GetBranch("TruthNInstance");

   return kTRUE;
}

void CollectionTree::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t CollectionTree::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef CollectionTree_cxx
